import type { ComponentType } from 'react';
declare type Interpolation = ((executionContext: Object) => Interpolation) | string | ComponentType | Array<Interpolation>;
declare type RuleSet = Array<Interpolation>;
declare type PartialRecord<K extends string, T> = {
    [P in K]?: T;
};
declare const platformKeys: ["android", "ios", "macos", "windows", "web"];
export declare type TPlatformKey = typeof platformKeys[number];
export declare type TPlatformSelectObject = PartialRecord<string, RuleSet>;
declare type TPlatformSelectObjectOrPlatformKey = TPlatformSelectObject | TPlatformKey;
export declare type TPlatformMainHandler = (platformSelectObjectOrPlatformKeyString: TPlatformSelectObjectOrPlatformKey, styles?: RuleSet) => RuleSet;
export declare type TPlatformEachHandler = (styles?: RuleSet) => RuleSet;
export interface IPlatform extends Record<TPlatformKey, TPlatformEachHandler> {
    (platformSelectObjectOrPlatformKeyString: TPlatformSelectObjectOrPlatformKey, styles?: RuleSet): RuleSet;
}
export declare const platform: IPlatform;
export {};
