"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.platform = void 0;
const react_native_1 = require("react-native");
const tuple = (...args) => args;
const currentPlatform = react_native_1.Platform.OS;
const platformKeys = tuple('android', 'ios', 'macos', 'windows', 'web');
const platformMainHandler = (platformSelectObjectOrPlatformKeyString, styles = []) => {
    if (typeof platformSelectObjectOrPlatformKeyString === 'string') {
        return styles;
    }
    const platformSelectObject = platformSelectObjectOrPlatformKeyString;
    platformKeys.map((platformKey) => {
        if (currentPlatform === platformKey && platformKey in platformSelectObject) {
            return platformSelectObject[platformKey];
        }
    });
    return [];
};
class StyledPlatform {
    constructor() {
        this.initializeMain();
        this.registerPlatformMethods();
    }
    initializeMain() {
        this.platform = platformMainHandler;
    }
    registerPlatformMethods() {
        platformKeys.forEach((platformKey) => this.platform[platformKey] = (styles) => currentPlatform === platformKey ? styles : []);
    }
}
const styledPlatform = new StyledPlatform();
exports.platform = styledPlatform.platform;
//# sourceMappingURL=platform.js.map